
QGIS Application - Bug report #13101

SAGA Processing-Tool (merge layers) doesn't work and no alternative

2015-07-09 08:33 AM - Michael Busch

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21166

Description

Since update of processing plugin to version 2.10.1 ...processing_algs/saga/shapes_tools/mergelayers throw an error while trying to

merge shapefiles.

"Merge Layers: could not initialize data objects

Error: dbf read: could not open file

Error: DBase file could not be opened.

Error: executing tool [Merge Layers]"

within SAGA it works fine.

I tried QGIS 2.8/2.10 as well as 32bit and 64bit versions

History

#1 - 2015-07-16 12:09 AM - Michael Busch

- % Done changed from 0 to 100

- Status changed from Open to Closed

same CRS recommended

#2 - 2015-07-17 12:55 AM - Michael Busch

- Status changed from Closed to Reopened

- % Done changed from 100 to 0

#3 - 2015-07-17 01:00 AM - Victor Olaya

could you provide some sample data to reproduce the error?

Thanks!

#4 - 2015-07-17 01:19 AM - Michael Busch

- File sample_data_merge_problem.rar added

after updating the plugin it works fine. But after restarting QGIS it throws an error again. Some sample data attached
#5 - 2015-07-31 09:21 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Resolution deleted (fixed/implemented)

- OS version deleted (7)

- Operating System deleted (windows)

Confirmed. With Processing shipped with qgis 2.8.* the module works with both SAGA 2.1.2 and 2.1.4. After Processing upgrade the module stopped to

work.

#6 - 2015-09-21 01:29 AM - Marcel Foelsch

After the last processing update (vers. 2.10.2) the problem is still existing.

#7 - 2015-09-24 05:15 AM - Victor Olaya

- Status changed from Reopened to Feedback

fixed

It actually had the same cause as #13114

#8 - 2015-09-29 04:34 AM - Victor Olaya

- Status changed from Feedback to Closed

Files

sample_data_merge_problem.rar 8.6 KB 2015-07-16 Michael Busch
